module.exports = class ApiError extends Error {
	constructor(message, details = {}, ...args) {
		super(message, ...args);
		this.message = message;
		this.details = details;
		this.name = "ApiError";
	}
};